regina::LayeredChainPair Class Reference
Standard Triangulations and Subcomplexes

Represents a layered chain pair component of a triangulation. More...

`#include <subcomplex/layeredchainpair.h>`

Inheritance diagram for regina::LayeredChainPair:

## Public Member Functions

virtual | ~LayeredChainPair ()
| Destroys this layered chain pair. More...
LayeredChainPair * | clone () const
| Returns a newly created clone of this structure. More...
const LayeredChain * | chain (int which) const
| Returns the requested layered chain used to form this structure. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static LayeredChainPair * | isLayeredChainPair (const Component< 3 > *comp)
| Determines if the given triangulation component is a layered chain pair. More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Detailed Description

Represents a layered chain pair component of a triangulation.

A layered chain pair consists of two layered chains (as described by class LayeredChain) glued together in a particular way.

Orient the hinge edges and diagonals of each chain so they all point in the same direction around the solid tori formed by each layered chain (a diagonal is an edge between the two top triangular faces or an edge between the two bottom triangular faces of a layered chain).

The two top faces of the first chain are glued to a top and bottom face of the second chain, and the two bottom faces of the first chain are glued to a top and bottom face of the second chain.

The four oriented diagonals are all identified as a single edge. Of the remaining unglued edges (two hinge edges and two non-hinge edges per chain), each hinge edge of one chain must be identified to a non-hinge edge of the other chain and vice versa. From here the face identifications are uniquely determined.

Note that a layered chain pair in which one of the chains contains only one tetrahedron is in fact a layered loop with a twist (see class LayeredLoop).

All optional StandardTriangulation routines are implemented for this class.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/layeredchainpair.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).